summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJustin Lecher <jlec@gentoo.org>2015-09-09 10:17:03 +0200
committerJustin Lecher <jlec@gentoo.org>2015-09-09 11:49:31 +0200
commitadf75df3d9e939059d2e9aac429d38684abdc00a (patch)
tree7262a6aa82d64f58bc108907a93a105e79c4a7de /dev-python
parentdev-util/nvidia-cuda-sdk: Version Bump (diff)
downloadgentoo-adf75df3d9e939059d2e9aac429d38684abdc00a.tar.gz
gentoo-adf75df3d9e939059d2e9aac429d38684abdc00a.tar.bz2
gentoo-adf75df3d9e939059d2e9aac429d38684abdc00a.zip
dev-python/Numdifftools: Version Bump
Package-Manager: portage-2.2.20.1 Signed-off-by: Justin Lecher <jlec@gentoo.org>
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Numdifftools/Manifest1
-rw-r--r--dev-python/Numdifftools/Numdifftools-0.9.12.ebuild54
2 files changed, 55 insertions, 0 deletions
diff --git a/dev-python/Numdifftools/Manifest b/dev-python/Numdifftools/Manifest
index 708796bbecd..bf94cc8fa8a 100644
--- a/dev-python/Numdifftools/Manifest
+++ b/dev-python/Numdifftools/Manifest
@@ -1,2 +1,3 @@
DIST Numdifftools-0.6.0.zip 184293 SHA256 56bee55a361c263dd250fcd009923ee9289dbc9bde635fe10b41d84e6a404549 SHA512 57c3a63e9fc2738478534cd81542d1398667824c80ad5263610be29bec38209f4f9963ad61f2b02327724946567d61fe310a9e82b1b301d1b36fe229f33445bd WHIRLPOOL 9780391abf8774137b3aaa03c88bed521ff6367c7bdefdb23c7e412e162ec8c81a6724a7af525ccddb69673b0afa1c862dbf7285f0faa659af46f758ad48ae9b
DIST numdifftools-0.7.7.zip 181520 SHA256 c5a309a7a0b58f6177dc7e3d55c2830c07ca2715c9c706644d500fc4eca97c4d SHA512 ccb5f8a06bf21dfb803004fa104d36e07cdbebb72682d84577506cca6fc63abd2e4b1c13cbc960ad691ee70bef616c282b8dbb682f78d1ff8d230213afd58428 WHIRLPOOL b6579d64f1e6beded914189b392952988eb1396ee9ad06d4ba4b3edfbe4666c1e7de35cf1405c38422aa459e9a631a94d8f821a9fe22309a681043883ec56ae2
+DIST numdifftools-0.9.12.zip 236823 SHA256 eee07f03eaa9531c34949bfbb27b0fade7b1e927dd9daf18342d13fc1ee88eaa SHA512 00c78abac0c08beb72ec11bcddd74165db773a0fa9b4eee10290a27c4c143f1593254e058898dc12aee1afc6bad5bb2849451e6018129aa32e808eee1b97420c WHIRLPOOL aef074b9aaf4caecfad8bff75ccb8bd95e36373e2dd4e1dfc4b700fa1925b9b8652d6c483f81133c82e857abae6f2628e9166c77d6b102db3f9bb58c72e682a7
diff --git a/dev-python/Numdifftools/Numdifftools-0.9.12.ebuild b/dev-python/Numdifftools/Numdifftools-0.9.12.ebuild
new file mode 100644
index 00000000000..60c050dcfca
--- /dev/null
+++ b/dev-python/Numdifftools/Numdifftools-0.9.12.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4} )
+
+inherit distutils-r1
+
+MY_PN=numdifftools
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Solves automatic numerical differentiation problems in one or more variables"
+HOMEPAGE="https://pypi.python.org/pypi/Numdifftools https://github.com/pbrod/numdifftools"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${MY_P}.zip"
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+RDEPEND="
+ >=dev-python/algopy-0.4[${PYTHON_USEDEP}]
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.9.0[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ >=sci-libs/scipy-0.8[${PYTHON_USEDEP}]
+ "
+DEPEND="
+ >=dev-python/setuptools-0.9[${PYTHON_USEDEP}]
+ test? (
+ ${RDEPEND}
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/pytest-runner[${PYTHON_USEDEP}]
+ )"
+
+# Seems to be broken
+# https://github.com/pbrod/numdifftools/issues/11
+# https://github.com/pbrod/numdifftools/issues/12
+RESTRICT="test"
+
+S="${WORKDIR}"/${MY_P}
+
+python_prepare_all() {
+ sed \
+ -e "/numpydoc/d" \
+ -i requirements.txt || die
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ esetup.py test
+}